//
//	FindinSite-CD-JS-HelpIndex database applicationdesigner
//
//	Copyright (c) 2016-2018 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA
//
var applicationdesigner = {
    baseurls: ["../"],
    varname: "applicationdesigner",
        tree: [
            { url: "about/about.htm", title: "About this Documentation",
              tree: [
                  { url: "about/document_conventions.htm", title: "Document Conventions" },
                  { url: "about/online_information.htm", title: "Online Information and Support" },
                  { url: "about/data_protection.htm", title: "Data Protection" },
              ]
            },
            { url: "relnotes/relnotes.htm", title: "Release Notes" },
            { url: "concepts/overview.htm", title: "Introduction",
              tree: [
                  { url: "concepts/concept.htm", title: "Concept" },
                  { url: "concepts/contentpageworkplaceportal.htm", title: "Content Page - Workplace/Portal" },
                  { url: "concepts/developmentprocess.htm", title: "Development Process" },
                  { url: "concepts/tools.htm", title: "Tools" },
              ]
            },
            { url: "config/cfg-over.htm", title: "Configuration",
              tree: [
                  { url: "config/cfg-browser.htm", title: "Browser Configuration" },
                  { url: "config/cfg-back.htm", title: "Background Information" },
                  { url: "config/cfg-mode.htm", title: "Design Time Mode and Runtime Mode" },
                  { url: "config/cfg-advice.htm", title: "Advice for Using Application Designer During Development" },
                  { url: "config/cfg-config.htm", title: "Configuration of Application Designer" },
                  { url: "config/cfg-http.htm", title: "HTTP Data Volume Considerations" },
                  { url: "config/cfg-ant.htm", title: "Using ANT for Upgrades" },
              ]
            },
            { url: "firststeps/fs-over.htm", title: "First Steps",
              tree: [
                  { url: "firststeps/fs-about.htm", title: "About this Tutorial" },
                  { url: "firststeps/fs-start.htm", title: "Starting the Development Workplace" },
                  { url: "firststeps/fs-project.htm", title: "Creating a Project" },
                  { url: "firststeps/fs-getstart.htm", title: "Getting Started with the Layout Painter" },
                  { url: "firststeps/fs-gui.htm", title: "Writing the GUI Layout" },
                  { url: "firststeps/fs-setup.htm", title: "Setting Up Your Environment" },
                  { url: "firststeps/fs-code.htm", title: "Writing the Adapter Code" },
                  { url: "firststeps/fs-background.htm", title: "Some Background Information" },
              ]
            },
            { url: "devtools/dt-over.htm", title: "Development Workplace",
              tree: [
                  { url: "devtools/dt-start.htm", title: "Starting the Development Workplace" },
                  { url: "devtools/dt-elements.htm", title: "Elements of the Development Workplace" },
                  { url: "devtools/dt-projectmanager.htm", title: "Project Manager" },
                  { url: "devtools/dt-layout-over.htm", title: "Layout Painter",
                    tree: [
                        { url: "devtools/dt-layout-getstart.htm", title: "Getting Started with the Layout Painter" },
                        { url: "devtools/dt-layout-xml.htm", title: "Defining the XML Layout" },
                        { url: "devtools/dt-layout-code.htm", title: "Using the Code Assistant" },
                        { url: "devtools/dt-layout-literal.htm", title: "Using the Literal Assistant" },
                        { url: "devtools/dt-layout-binding.htm", title: "Using the XML Binding Tool" },
                        { url: "devtools/dt-layout-validate.htm", title: "Using the Validation Rules Editor" },
                        { url: "devtools/dt-layout-formula.htm", title: "Using the Formula Editor" },
                        { url: "devtools/dt-layout-info.htm", title: "Configuration, Log and Status Information" },
                    ]
                  },
                  { url: "devtools/dt-layoutmanager.htm", title: "Layout Manager" },
                  { url: "devtools/dt-style.htm", title: "Style Sheet Editor" },
                  { url: "devtools/dt-language.htm", title: "Language Manager" },
                  { url: "devtools/dt-literal.htm", title: "Literal Translator" },
                  { url: "devtools/dt-warpackager.htm", title: "WAR Packager" },
                  { url: "devtools/dt-control-over.htm", title: "Control Editor",
                    tree: [
                        { url: "devtools/dt-control-use.htm", title: "Using the Control Editor" },
                        { url: "devtools/dt-control-define.htm", title: "Defining a Control" },
                        { url: "devtools/dt-control-exa.htm", title: "Examples" },
                    ]
                  },
                  { url: "devtools/dt-monitor.htm", title: "Monitoring" },
                  { url: "devtools/dt-check.htm", title: "Layout Check" },
                  { url: "devtools/dt-perform.htm", title: "Performance Tools" },
                  { url: "devtools/dt-doc.htm", title: "Developer Documents and License Information" },
                  { url: "devtools/dt-special.htm", title: "Special Tools" },
              ]
            },
            { url: "ajaxdev/ad-over.htm", title: "Ajax Developer",
              tree: [
                  { url: "ajaxdev/ad-start.htm", title: "Getting Started with Ajax Developer" },
                  { url: "ajaxdev/ad-layout-over.htm", title: "Layout Painter",
                    tree: [
                        { url: "ajaxdev/ad-layout-getstart.htm", title: "Getting Started with the Layout Painter" },
                        { url: "ajaxdev/ad-layout-xml.htm", title: "Defining the XML Layout" },
                        { url: "ajaxdev/ad-layout-code.htm", title: "Using the Code Assistant" },
                        { url: "ajaxdev/ad-layout-literal.htm", title: "Using the Literal Assistant" },
                        { url: "ajaxdev/ad-layout-validate.htm", title: "Using the Validation Rules Editor" },
                        { url: "ajaxdev/ad-layout-formula.htm", title: "Using the Formula Editor" },
                    ]
                  },
                  { url: "ajaxdev/ad-language.htm", title: "Language Manager" },
                  { url: "ajaxdev/ad-literal.htm", title: "Literal Translator" },
                  { url: "ajaxdev/ad-style.htm", title: "Style Sheet Editor" },
                  { url: "ajaxdev/ad-control-over.htm", title: "Control Editor",
                    tree: [
                        { url: "ajaxdev/ad-control-use.htm", title: "Using the Control Editor" },
                        { url: "ajaxdev/ad-control-define.htm", title: "Defining a Control" },
                        { url: "ajaxdev/ad-control-exa.htm", title: "Examples" },
                    ]
                  },
                  { url: "ajaxdev/ad-trace.htm", title: "Tracing" },
                  { url: "ajaxdev/ad-monitor.htm", title: "Monitoring" },
                  { url: "ajaxdev/ad-logviewer.htm", title: "Server Logs Viewer" },
              ]
            },
            { url: "layoutelements/overview.htm", title: "Layout Elements",
              tree: [
                  { url: "layoutelements/typicalpagelayout.htm", title: "Typical Page Layout",
                    tree: [
                        { url: "layoutelements/page.htm", title: "PAGE" },
                        { url: "layoutelements/titlebar.htm", title: "TITLEBAR" },
                        { url: "layoutelements/header.htm", title: "HEADER" },
                        { url: "layoutelements/pagebody.htm", title: "PAGEBODY" },
                        { url: "layoutelements/statusbar.htm", title: "STATUSBAR/STATUSBARSSW" },
                    ]
                  },
                  { url: "layoutelements/workingwithcontainers.htm", title: "Working with Containers",
                    tree: [
                        { url: "layoutelements/positioningofcontrolsinsideacontainer.htm", title: "Positioning of Controls inside a Container" },
                        { url: "layoutelements/definingthewidthofcontrolsinsideacontainer.htm", title: "Defining the Width of Controls inside a Container" },
                        { url: "layoutelements/verticalsizingofcontainersandcontrols.htm", title: "Vertical Sizing of Containers and Controls" },
                        { url: "layoutelements/overviewofdifferentcontainers.htm", title: "Overview of Different Containers" },
                        { url: "layoutelements/rowareacolarea.htm", title: "ROWAREA and COLAREA" },
                        { url: "layoutelements/rowareawithheader.htm", title: "ROWAREAWITHHEADER" },
                        { url: "layoutelements/rowtabareacoltabarea.htm", title: "ROWTABAREA and COLTABAREA" },
                        { url: "layoutelements/rowtable0coltable0.htm", title: "ROWTABLE0 and COLTABLE0" },
                        { url: "layoutelements/coldynavisrowdynavis.htm", title: "ROWDYNAVIS and COLDYNAVIS" },
                        { url: "layoutelements/rowdivandinnerdiv.htm", title: "ROWDIV and INNERDIV" },
                        { url: "layoutelements/rowscrollarea.htm", title: "ROWSCROLLAREA" },
                        { url: "layoutelements/hsplitandvsplit.htm", title: "HSPLIT and VSPLIT" },
                        { url: "layoutelements/hlineandvline.htm", title: "HLINE and VLINE" },
                        { url: "layoutelements/performanceoptimisationwithcontainers.htm", title: "Performance Optimization with Containers" },
                    ]
                  },
                  { url: "layoutelements/workingwithcontrols.htm", title: "Working with Controls",
                    tree: [
                        { url: "layoutelements/somecommonrulesforallcontrols.htm", title: "Some Common Rules for all Controls" },
                        { url: "layoutelements/breadcrumb.htm", title: "BREADCRUMB" },
                        { url: "layoutelements/button.htm", title: "BUTTON" },
                        { url: "layoutelements/buttonlist.htm", title: "BUTTONLIST" },
                        { url: "layoutelements/checkbox.htm", title: "CHECKBOX" },
                        { url: "layoutelements/combodyn2.htm", title: "COMBODYN2" },
                        { url: "layoutelements/combofix.htm", title: "COMBOFIX" },
                        { url: "layoutelements/dateinput.htm", title: "DATEINPUT" },
                        { url: "layoutelements/dateinput2.htm", title: "DATEINPUT2" },
                        { url: "layoutelements/dropicon.htm", title: "DROPICON" },
                        { url: "layoutelements/field.htm", title: "FIELD" },
                        { url: "layoutelements/fileupload-controls.htm", title: "FILEUPLOAD/FILEUPLOAD2" },
                        { url: "layoutelements/icon.htm", title: "ICON" },
                        { url: "layoutelements/iconlist.htm", title: "ICONLIST" },
                        { url: "layoutelements/ihtml.htm", title: "IHTML" },
                        { url: "layoutelements/imageout.htm", title: "IMAGEOUT" },
                        { url: "layoutelements/label.htm", title: "LABEL" },
                        { url: "layoutelements/menubutton.htm", title: "MENUBUTTON" },
                        { url: "layoutelements/methodlink.htm", title: "METHODLINK" },
                        { url: "layoutelements/multiselect.htm", title: "MULTISELECT" },
                        { url: "layoutelements/newsfeed.htm", title: "NEWSFEED" },
                        { url: "layoutelements/radiobutton.htm", title: "RADIOBUTTON" },
                        { url: "layoutelements/scheduleline.htm", title: "SCHEDULELINE" },
                        { url: "layoutelements/slider.htm", title: "SLIDER" },
                        { url: "layoutelements/stripsel.htm", title: "STRIPSEL" },
                        { url: "layoutelements/subpage.htm", title: "SUBPAGE" },
                        { url: "layoutelements/tabsel.htm", title: "TABSEL" },
                        { url: "layoutelements/tabstrip2.htm", title: "TABSTRIP2" },
                        { url: "layoutelements/tagcloud.htm", title: "TAGCLOUD" },
                        { url: "layoutelements/text.htm", title: "TEXT" },
                        { url: "layoutelements/textout.htm", title: "TEXTOUT" },
                        { url: "layoutelements/toggle.htm", title: "TOGGLE" },
                        { url: "layoutelements/activex.htm", title: "ACTIVEX" },
                        { url: "layoutelements/googlemap2.htm", title: "GOOGLEMAP2" },
                        { url: "layoutelements/helpicon.htm", title: "HELPICON" },
                        { url: "layoutelements/linechart.htm", title: "LINECHART" },
                        { url: "layoutelements/macromediaflash.htm", title: "MACROMEDIAFLASH" },
                        { url: "layoutelements/netmeeting.htm", title: "NETMEETING" },
                        { url: "layoutelements/report.htm", title: "REPORT" },
                        { url: "layoutelements/rowchartarea.htm", title: "ROWCHARTAREA" },
                        { url: "layoutelements/skypecall.htm", title: "SKYPECALL" },
                        { url: "layoutelements/timercontrol.htm", title: "TIMER" },
                    ]
                  },
                  { url: "layoutelements/workingwithgrids.htm", title: "Working with Grids",
                    tree: [
                        { url: "layoutelements/basics.htm", title: "Basics" },
                        { url: "layoutelements/textgrid2.htm", title: "TEXTGRID2" },
                        { url: "layoutelements/textgridsss2textgrid2withserversidescrolling.htm", title: "TEXTGRIDSSS2 - TEXTGRID2 with Server-Side Scrolling" },
                        { url: "layoutelements/rowtablearea2theflexiblecontrolgrid.htm", title: "ROWTABLEAREA2 - The Flexible Control Grid" },
                        { url: "layoutelements/colinfos.htm", title: "COLINFOS Control - Show and Hide Single Columns" },
                        { url: "layoutelements/flexline.htm", title: "FLEXLINE - Flexible Columns in Control Grids" },
                        { url: "layoutelements/mgdgrid.htm", title: "MGDGRID - Managing the Grid" },
                        { url: "layoutelements/flexiblecolumnheadersgridcolheadercontrol.htm", title: "GRIDCOLHEADER - Flexible Column Headers" },
                        { url: "layoutelements/stylinggrids.htm", title: "Styling Grids" },
                        { url: "layoutelements/flexgridflexiblegridhidingthegridcompleixityfordevelopers.htm", title: "FLEXGRID - Flexible Grid, Hiding the Grid Complixity for Developers" },
                        { url: "layoutelements/sortingaspectswithgrids.htm", title: "Sorting Aspects with Grids" },
                        { url: "layoutelements/backgroundinformationongrids.htm", title: "Background Information on Grids" },
                    ]
                  },
                  { url: "layoutelements/workingwithtrees.htm", title: "Working with Trees",
                    tree: [
                        { url: "layoutelements/tree-basics.htm", title: "Basics" },
                        { url: "layoutelements/treenode3incontrolgridrowtablearea2.htm", title: "TREENODE3 in Control Grid (ROWTABLEAREA2)" },
                        { url: "layoutelements/clienttree.htm", title: "CLIENTTREE" },
                    ]
                  },
                  { url: "layoutelements/workingwithmenus.htm", title: "Working with Menus",
                    tree: [
                        { url: "layoutelements/typesofmenus.htm", title: "Types of Menus" },
                        { url: "layoutelements/menu.htm", title: "MENU" },
                        { url: "layoutelements/dlmenu.htm", title: "DLMENU" },
                        { url: "layoutelements/contextmenu.htm", title: "Context Menu" },
                        { url: "layoutelements/stylemenu.htm", title: "Styling Menus" },
                    ]
                  },
              ]
            },
            { url: "reserved/reserved.htm", title: "Reserved Names for Properties" },
            { url: "pages/overview.htm", title: "Working with Pages",
              tree: [
                  { url: "pages/pagenavigation.htm", title: "Working with Page Navigation",
                    tree: [
                        { url: "pages/pagenavigation2.htm", title: "Page Navigation" },
                        { url: "pages/sessionmanagement.htm", title: "Session Management" },
                        { url: "pages/openingmodalpopupdialogs.htm", title: "Opening Modal Pop-up Dialogs" },
                        { url: "pages/urltochoosewhennavigating.htm", title: "URL to Choose when Navigating" },
                        { url: "pages/valuehelppopupdialogs.htm", title: "Value Help Pop-up Dialogs" },
                        { url: "pages/standardpopupdialogs.htm", title: "Standard Pop-up Dialogs" },
                        { url: "pages/pagebasedpopupdialogs.htm", title: "Page-based Pop-up Dialogs" },
                    ]
                  },
                  { url: "pages/embeddingpagesintopages.htm", title: "Embedding Pages into Pages",
                    tree: [
                        { url: "pages/subcispage2control.htm", title: "SUBCISPAGE2 Control" },
                        { url: "pages/rowtabsubpages.htm", title: "ROWTABSUBPAGES Control" },
                        { url: "pages/remarkonmodularisation.htm", title: "Remark on Modularisation" },
                    ]
                  },
                  { url: "pages/multiframepages.htm", title: "Multi Frame Pages",
                    tree: [
                        { url: "pages/multi-over.htm", title: "What are Multi Frame Pages?" },
                        { url: "pages/definitionofmultiframepages.htm", title: "Definition of Multi Frame Pages" },
                        { url: "pages/example.htm", title: "Example" },
                        { url: "pages/communicationbetweenframes.htm", title: "Communication between Frames" },
                        { url: "pages/combinationwithnormalpages.htm", title: "Combination with Normal Application Designer Pages" },
                    ]
                  },
                  { url: "pages/embeddingpagesintoaworkplace.htm", title: "Embedding Pages into a Workplace",
                    tree: [
                        { url: "pages/workplaceframework.htm", title: "Application Designer Workplace Framework" },
                        { url: "pages/integrationintootherworkplaceportalscenarios.htm", title: "Integration into Other Workplace/Portal Scenarios" },
                        { url: "pages/extendedfunctionsinworkplace.htm", title: "Extended Functions in the Application Designer Workplace" },
                        { url: "pages/buildingownworkplacesasaframesetdefinition.htm", title: "Building Own Workplaces as a Frameset Definition" },
                    ]
                  },
              ]
            },
            { url: "devtopics/overview.htm", title: "Special Development Topics",
              tree: [
                  { url: "devtopics/controlsforabsolutepositioning.htm", title: "Controls for Absolute Positioning",
                    tree: [
                        { url: "devtopics/example2.htm", title: "Example" },
                        { url: "devtopics/controls.htm", title: "Controls" },
                        { url: "devtopics/absfolder.htm", title: "ABSFOLDER" },
                        { url: "devtopics/absfield.htm", title: "ABSFIELD" },
                        { url: "devtopics/absicon.htm", title: "ABSICON" },
                        { url: "devtopics/absdynicon.htm", title: "ABSDYNICON" },
                        { url: "devtopics/abstextout.htm", title: "ABSTEXTOUT" },
                        { url: "devtopics/abslabel.htm", title: "ABSLABEL" },
                        { url: "devtopics/abstable0abstr.htm", title: "ABSTABLE0/ABSTR" },
                        { url: "devtopics/rowabsarea.htm", title: "ROWABSAREA" },
                        { url: "devtopics/absarea.htm", title: "ABSAREA" },
                    ]
                  },
                  { url: "devtopics/writingreports.htm", title: "Writing Reports",
                    tree: [
                        { url: "devtopics/writingreportsintro.htm", title: "Introduction" },
                        { url: "devtopics/report.htm", title: "Writing Reports by Using the REPORT Control" },
                        { url: "devtopics/createchart.htm", title: "Creating Statistical Charts" },
                        { url: "devtopics/embedchart.htm", title: "Embedding Statistical Charts into Reports" },
                        { url: "devtopics/quadrantplot.htm", title: "Using the Special Chart Control QUADRANTPLOT" },
                        { url: "devtopics/pivot.htm", title: "Creating Simple Charts Quickly Using the PIVOT Control" },
                        { url: "devtopics/bestpracticehints.htm", title: "Best Practice Hints" },
                    ]
                  },
                  { url: "devtopics/nonvisualcontrolsandhotkeys.htm", title: "Non-Visual Controls and Hot Keys",
                    tree: [
                        { url: "devtopics/autocomplete.htm", title: "AUTOCOMPLETE" },
                        { url: "devtopics/timer.htm", title: "TIMER" },
                        { url: "devtopics/extendedhotkeymanagement.htm", title: "Extended Hot Key Management" },
                    ]
                  },
                  { url: "devtopics/bindingbetweenpageandadapter.htm", title: "Binding between Page and Adapter",
                    tree: [
                        { url: "devtopics/phasesofadapterprocessing.htm", title: "Phases of Adapter Processing" },
                        { url: "devtopics/classbinding.htm", title: "Class Binding" },
                        { url: "devtopics/typesofpropertybinding.htm", title: "Types of Property Binding" },
                        { url: "devtopics/javabeanpropertybinding.htm", title: "Java Bean Property Binding" },
                        { url: "devtopics/dynamicaccesspropertybinding.htm", title: "Dynamic Access Property Binding" },
                        { url: "devtopics/xmlpropertybinding.htm", title: "XML Property Binding" },
                        { url: "devtopics/gettinginformationaboutaccesspaths.htm", title: "Getting Information about Access Paths" },
                        { url: "devtopics/exceptionmanagementinsideanadapterobject.htm", title: "Exception Management Inside an Adapter Object" },
                        { url: "devtopics/additionalinterfaces.htm", title: "Additional Interfaces" },
                    ]
                  },
                  { url: "devtopics/detailsonsessionmanagement.htm", title: "Details on Session Management",
                    tree: [
                        { url: "devtopics/httpsessions.htm", title: "HTTP Sessions - Application Designer Sessions" },
                        { url: "devtopics/session-subsessions.htm", title: "Application Designer Session - Application Designer Subsessions" },
                        { url: "devtopics/subsession-adapterobjects.htm", title: "Application Designer Subsession - Application Designer Adapter Objects" },
                        { url: "devtopics/howthingsstart.htm", title: "How Things Start" },
                        { url: "devtopics/howthingsend.htm", title: "How Things End" },
                        { url: "devtopics/workplacemanagement.htm", title: "Workplace Management" },
                        { url: "devtopics/savingcontextdata.htm", title: "Saving Context Data" },
                        { url: "devtopics/sessionids.htm", title: "Session IDs" },
                    ]
                  },
                  { url: "devtopics/applicationprojectmanagement.htm", title: "Application Project Management",
                    tree: [
                        { url: "devtopics/whatsanapplicationproject.htm", title: "What is an Application Project?" },
                        { url: "devtopics/classloadingissues.htm", title: "Class Loading Issues" },
                        { url: "devtopics/applicationprojectdirectory.htm", title: "Application Project Directory" },
                        { url: "devtopics/applicationprojectcontextroot.htm", title: "Application Project Context Root" },
                        { url: "devtopics/creatinganapplicationproject.htm", title: "Creating an Application Project" },
                        { url: "devtopics/toolsaroundapplicationprojectmanagement.htm", title: "Tools for Application Project Management" },
                    ]
                  },
                  { url: "devtopics/dynamicpagelayout.htm", title: "Dynamic Page Layout",
                    tree: [
                        { url: "devtopics/introduction.htm", title: "Introduction" },
                        { url: "devtopics/scenarios.htm", title: "Scenarios" },
                        { url: "devtopics/dynamicpagesnormalpages.htm", title: "Dynamic Pages - Normal Pages" },
                        { url: "devtopics/programmingdynamicpages.htm", title: "Programming Dynamic Pages" },
                        { url: "devtopics/interfaceidynamicpagemgmt.htm", title: "Interface IDynamicPageMgmt" },
                        { url: "devtopics/backgroundinformation.htm", title: "Background Information" },
                        { url: "devtopics/dynamicpagesdynamicadapters.htm", title: "Dynamic Pages - Dynamic Adapters" },
                    ]
                  },
                  { url: "devtopics/becomingamemberofthestartupprocess.htm", title: "Becoming a Member of the Startup Process",
                    tree: [
                        { url: "devtopics/member-over.htm", title: "Overview" },
                        { url: "devtopics/startupclass.htm", title: "Startup Class" },
                        { url: "devtopics/registration.htm", title: "Registration" },
                    ]
                  },
                  { url: "devtopics/adaptingthelooknfeel.htm", title: "Adapting the Look & Feel",
                    tree: [
                        { url: "devtopics/adaptingthelooknfeelintro.htm", title: "Introduction" },
                        { url: "devtopics/stylesheetfile.htm", title: "Style Sheet File" },
                        { url: "devtopics/writinganewstylesheetfile.htm", title: "Writing a New Style Sheet File" },
                        { url: "devtopics/selectingtherightstylesheet.htm", title: "Selecting the Right Style Sheet" },
                        { url: "devtopics/dynamicselectionofstylesheetfile.htm", title: "Dynamic Selection of the Style Sheet File" },
                        { url: "devtopics/staticselectionofthestylesheetfile.htm", title: "Static Selection of the Style Sheet File" },
                    ]
                  },
                  { url: "devtopics/controlsfordatabasereporting.htm", title: "Controls for Database Reporting",
                    tree: [
                        { url: "devtopics/basics4.htm", title: "Basics" },
                        { url: "devtopics/dbquery.htm", title: "DBQUERY" },
                        { url: "devtopics/dbfield.htm", title: "DBFIELD" },
                        { url: "devtopics/dbcombo.htm", title: "DBCOMBO" },
                        { url: "devtopics/dbselectoption.htm", title: "DBSELECTOPTION" },
                        { url: "devtopics/dbcheckbox.htm", title: "DBCHECKBOX" },
                        { url: "devtopics/dbradiobutton.htm", title: "DBRADIOBUTTON" },
                    ]
                  },
                  { url: "devtopics/personalizationofpages.htm", title: "Personalization of Pages",
                    tree: [
                        { url: "devtopics/goal2.htm", title: "Goal" },
                        { url: "devtopics/customizedlayout.htm", title: "Customized Layout - Concepts" },
                        { url: "devtopics/customizedlayoutexample.htm", title: "Customized Layout - Example" },
                        { url: "devtopics/customizedproposalsconcepts.htm", title: "Customized Proposals - Concepts" },
                        { url: "devtopics/customizedproposalsexample.htm", title: "Customized Proposals - Example" },
                    ]
                  },
                  { url: "devtopics/dev-security.htm", title: "Security Aspects" },
                  { url: "devtopics/portletapi.htm", title: "Portal Integration" },
                  { url: "devtopics/layoutextensions.htm", title: "Using Layout Painter Extensions" },
                  { url: "devtopics/silverlight.htm", title: "Microsoft Silverlight Integration" },
                  { url: "devtopics/dev-xhtml.htm", title: "Integrating Application Designer Controls in HTML Pages" },
                  { url: "devtopics/dev-autotest.htm", title: "Automated Testing" },
              ]
            },
            { url: "i18n/multilanguagemanagement.htm", title: "Multi Language Management",
              tree: [
                  { url: "i18n/writingmultilanguagelayouts.htm", title: "Writing Multi Language Layouts" },
                  { url: "i18n/creatingthetranslationfile.htm", title: "Creating the Translation File" },
                  { url: "i18n/definingthelanguageatruntime.htm", title: "Defining the Language at Runtime" },
                  { url: "i18n/dealingwithliteralsinsideyouradapter.htm", title: "Dealing with Literals inside Your Adapter" },
                  { url: "i18n/toolsfortranslatingtextids.htm", title: "Tools for Translating Text IDs" },
                  { url: "i18n/toolforcreatinglanguages.htm", title: "Tool for Creating Languages" },
                  { url: "i18n/unicode.htm", title: "Unicode" },
                  { url: "i18n/interfaceimlmanager.htm", title: "Interface IMLManager" },
              ]
            },
            { url: "onlinehelp/onlinehelpmanagement.htm", title: "Online Help Management",
              tree: [
                  { url: "onlinehelp/basicss.htm", title: "Basics" },
                  { url: "onlinehelp/helppopup.htm", title: "Customizing the Online Help Pop-up" },
                  { url: "onlinehelp/otherurlrules.htm", title: "Other URL Rules?" },
                  { url: "onlinehelp/othertypeoff1onlinehelp.htm", title: "Other Types of F1-Online Help?" },
              ]
            },
            { url: "services/overview.htm", title: "PDF and FOP Services",
              tree: [
                  { url: "services/intro.htm", title: "Introduction" },
                  { url: "services/TheFirstPDFDocument.htm", title: "The First PDF Document" },
                  { url: "services/pagelayoutcontrols.htm", title: "Page Layout Controls",
                    tree: [
                        { url: "services/typicalpagelayout.htm", title: "Typical Page Layout" },
                        { url: "services/foppage2.htm", title: "CISFO:FOPPAGE2" },
                        { url: "services/header2.htm", title: "CISFO:HEADER2" },
                        { url: "services/footer2.htm", title: "CISFO:FOOTER2" },
                        { url: "services/pagenumber2.htm", title: "CISFO:PAGENUMBER2" },
                        { url: "services/body2.htm", title: "CISFO:BODY2" },
                    ]
                  },
                  { url: "services/containercontrols.htm", title: "Container Controls",
                    tree: [
                        { url: "services/container-geninfo.htm", title: "General Information" },
                        { url: "services/rowtable2.htm", title: "CISFO:ROWTABLE2" },
                        { url: "services/coltable2.htm", title: "CISFO:COLTABLE2" },
                    ]
                  },
                  { url: "services/distancecontrols.htm", title: "Distance Controls",
                    tree: [
                        { url: "services/vdist2.htm", title: "CISFO:VDIST2" },
                        { url: "services/hdist2.htm", title: "CISFO:HDIST2" },
                        { url: "services/hline2.htm", title: "CISFO:HLINE2" },
                    ]
                  },
                  { url: "services/textoutputcontrols.htm", title: "Text Output Controls",
                    tree: [
                        { url: "services/textoutput-geninfo.htm", title: "General Information" },
                        { url: "services/rowtextblock2.htm", title: "CISFO:ROWTEXTBLOCK2" },
                        { url: "services/celltext2.htm", title: "CISFO:CELLTEXT2" },
                        { url: "services/text2.htm", title: "CISFO:TEXT2" },
                        { url: "services/textblock2.htm", title: "CISFO:TEXTBLOCK2" },
                        { url: "services/textreplace2.htm", title: "CISFO:TEXTREPLACE2" },
                        { url: "services/replace2.htm", title: "CISFO:REPLACE2" },
                    ]
                  },
                  { url: "services/othercontrols.htm", title: "Other Controls",
                    tree: [
                        { url: "services/listsofdata.htm", title: "Lists of Data" },
                        { url: "services/stylecontrol.htm", title: "Style Control" },
                        { url: "services/imagecontrol.htm", title: "Image Control" },
                        { url: "services/barcodecontrol.htm", title: "Barcode Control" },
                        { url: "services/newpagecontrol.htm", title: "New Page Control" },
                        { url: "services/controlsfromhtml.htm", title: "Controls that you Know from Application Designer HTML" },
                    ]
                  },
                  { url: "services/Printing.htm", title: "Printing" },
              ]
            },
            { url: "appx/appendices.htm", title: "Appendices",
              tree: [
                  { url: "appx/appendixacallsequenceforadapter.htm", title: "Appendix A - Call Sequence for Adapter" },
                  { url: "appx/appendixbusageofmethodsinheritedfromtheadapterclass.htm", title: "Appendix B - Usage of Methods Inherited from the Adapter Class" },
                  { url: "appx/appendixcdatatypestobeusedbyadapterproperties.htm", title: "Appendix C - Data Types to be Used by Adapter Properties" },
                  { url: "appx/appendixdclassloaderconcepts.htm", title: "Appendix D - Class Loader Concepts" },
                  { url: "appx/appendixestartcipageservlet.htm", title: "Appendix E - StartCISPage Servlet" },
              ]
            },
            { url: "custcontrols/overview.htm", title: "Custom Controls",
              tree: [
                  { url: "custcontrols/cust-over.htm", title: "Overview" },
                  { url: "custcontrols/ControlConcept.htm", title: "Control Concept" },
                  { url: "custcontrols/ComposingNewControlsOutOfExistingControls.htm", title: "Composing New Controls Out of Existing Controls" },
                  { url: "custcontrols/CreatingNewControls.htm", title: "Creating New Controls" },
                  { url: "custcontrols/SpecialButImportantIssues.htm", title: "Special Issues" },
                  { url: "custcontrols/ControlLibrary.htm", title: "Control Library" },
              ]
            },
            { url: "general/legal.htm", title: "Copyright" },
        ]
};

var mainProject = 1;

$.event.trigger({ type: "fishidbloaded", db: applicationdesigner });
